# Get Available Balances

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Fund Management", href: "/trading/rest-api/fund-management" },
    { label: "Get Available Balances" },
  ]}
  title="Get Available Balances"
  method="POST"
  url="https://api.gemini.com/v1/balances"
  description="Returns the available balances in the supported currencies for your account."
  note={{
    title: "Note",
    children: (
      <>
        <p style={{ margin: "0 0 8px" }}>Under the terms of the <a href="https://www.gemini.com/legal/api-agreement" style={{ color: "inherit", textDecorationLine: "underline" }}>Gemini API Agreement</a>, polling this endpoint may be subject to <a href="/rate-limit" style={{ color: "inherit", textDecorationLine: "underline" }}>rate limiting</a>.</p>
        <p style={{ margin: "0 0 8px" }}>Gemini is currently in the process of introducing new API architecture that will impact how decimal balances are returned from this endpoint for fiat and crypto assets.</p>
        <p style={{ margin: 0 }}>As a result of this change, requests routed via the new architecture will return fiat balances and crypto balances truncated to 15 and 19 decimal places, respectively. It is recommended that users floor the values returned from this endpoint to the correct precision until the migration has been completed.</p>
      </>
    ),
  }}
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/balances",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/balances",
        nonce: "<nonce>",
        account: "primary",
        showPendingBalances: true,
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <>
          <p style={{ margin: "0 0 2px" }}>The API key you use to access this endpoint must have the Trader, Fund Manager, or Auditor role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
          <p style={{ margin: 0 }}>The OAuth scope must have <InlineBadge>balances:read</InlineBadge> assigned to access this endpoint. See <a href="/authentication/oauth#oauth-scopes" style={{ color: "inherit", textDecorationLine: "underline" }}>OAuth Scopes</a> for more information.</p>
        </>
      ),
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="getAvailableBalances" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="getAvailableBalances" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="getAvailableBalances" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Fund Management", href: "/trading/rest-api/fund-management" }}
  next={{ label: "Get Notional Balances", href: "/trading/rest-api/fund-management/get-notional-balances" }}
/>
